Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.proxy
Class RemoteMBeanProxy

    java.lang.Object
      mx4j.tools.remote.proxy.RemoteMBeanProxy

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class RemoteMBeanProxy
extends java.lang.Object
implements javax.management.DynamicMBean, javax.management.NotificationEmitter, javax.management.MBeanRegistration

Version:
  $Revision: 1.4 $

Constructor Summary
`RemoteMBeanProxy(javax.management.ObjectName remoteObjectName, javax.management.remote.JMXConnector connector, java.util.Map environment, javax.security.auth.Subject delegate)`
`RemoteMBeanProxy(javax.management.ObjectName remoteObjectName, javax.management.remote.JMXServiceURL url, java.util.Map environment, javax.security.auth.Subject delegate)`
`RemoteMBeanProxy(javax.management.ObjectName remoteObjectName, javax.management.MBeanServerConnection connection)`

Method Summary
`void` | `addNotificationListener(javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)`
`java.lang.Object` | `getAttribute(java.lang.String attribute)`
`javax.management.AttributeList` | `getAttributes(java.lang.String[] attributes)`
`protected javax.management.remote.JMXConnector` | `getJMXConnector()`
`javax.management.MBeanInfo` | `getMBeanInfo()`
`protected javax.management.MBeanServerConnection` | `getMBeanServerConnection()`
`javax.management.MBeanNotificationInfo[]` | `getNotificationInfo()`
`protected javax.management.ObjectName` | `getRemoteObjectName()`
`java.lang.Object` | `invoke(java.lang.String method, java.lang.Object[] arguments, java.lang.String[] params)`
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `removeNotificationListener(javax.management.NotificationListener listener)`
`void` | `removeNotificationListener(javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)`
`void` | `setAttribute(javax.management.Attribute attribute)`
`javax.management.AttributeList` | `setAttributes(javax.management.AttributeList attributes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteMBeanProxy

    public RemoteMBeanProxy(javax.management.ObjectName remoteObjectName,
                            javax.management.remote.JMXServiceURL url,
                            java.util.Map environment,
                            javax.security.auth.Subject delegate)
                     throws java.io.IOException

### RemoteMBeanProxy

    public RemoteMBeanProxy(javax.management.ObjectName remoteObjectName,
                            javax.management.remote.JMXConnector connector,
                            java.util.Map environment,
                            javax.security.auth.Subject delegate)
                     throws java.io.IOException

### RemoteMBeanProxy

    public RemoteMBeanProxy(javax.management.ObjectName remoteObjectName,
                            javax.management.MBeanServerConnection connection)

Method Detail

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### getRemoteObjectName

    protected javax.management.ObjectName getRemoteObjectName()

### getMBeanServerConnection

    protected javax.management.MBeanServerConnection getMBeanServerConnection()

### getJMXConnector

    protected javax.management.remote.JMXConnector getJMXConnector()

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

  Specified by:
    `getMBeanInfo` in interface `javax.management.DynamicMBean`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attribute)
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

  Specified by:
    `getAttribute` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Specified by:
    `setAttribute` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getAttributes

    public javax.management.AttributeList getAttributes(java.lang.String[] attributes)

  Specified by:
    `getAttributes` in interface `javax.management.DynamicMBean`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.AttributeList attributes)

  Specified by:
    `setAttributes` in interface `javax.management.DynamicMBean`

### invoke

    public java.lang.Object invoke(java.lang.String method,
                                   java.lang.Object[] arguments,
                                   java.lang.String[] params)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  Specified by:
    `invoke` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`

### addNotificationListener

    public void addNotificationListener(javax.management.NotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws java.lang.IllegalArgumentException

  Specified by:
    `addNotificationListener` in interface `javax.management.NotificationBroadcaster`
  Throws:
    `java.lang.IllegalArgumentException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.NotificationListener listener)
                                    throws javax.management.ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `javax.management.NotificationBroadcaster`
  Throws:
    `javax.management.ListenerNotFoundException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.NotificationListener listener,
                                           javax.management.NotificationFilter filter,
                                           java.lang.Object handback)
                                    throws javax.management.ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `javax.management.NotificationEmitter`
  Throws:
    `javax.management.ListenerNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.